Axis2/C: soap fault value

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# soap fault value
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_fault_value_t * | axiom_soap_fault_value_create_with_subcode (const axutil_env_t *env, axiom_soap_fault_sub_code_t *parent)
AXIS2_EXTERN axiom_soap_fault_value_t * | axiom_soap_fault_value_create_with_code (const axutil_env_t *env, axiom_soap_fault_code_t *parent)
AXIS2_EXTERN void | axiom_soap_fault_value_free (axiom_soap_fault_value_t *fault_value, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_value_get_text (axiom_soap_fault_value_t *fault_value, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_value_get_base_node (axiom_soap_fault_value_t *fault_value, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_value_set_text (axiom_soap_fault_value_t *fault_value, const axutil_env_t *env, axis2_char_t *text)

## Function Documentation

AXIS2_EXTERN axiom_soap_fault_value_t* axiom_soap_fault_value_create_with_code | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_code_t * | parent |
| ) |  |  |

Create s SOAP fault value givn a SOAP fault code

Parameters:

  | fault_value | pointer to soap_fault_value struct
  | env | Environment. MUST NOT be NULL

Returns:
  Created SOAP fault value

AXIS2_EXTERN axiom_soap_fault_value_t* axiom_soap_fault_value_create_with_subcode | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_sub_code_t * | parent |
| ) |  |  |

creates a soap struct

Parameters:

  | env | Environment. MUST NOT be NULL

AXIS2_EXTERN void axiom_soap_fault_value_free | ( | axiom_soap_fault_value_t * | fault_value,
|  | const axutil_env_t * | env |
| ) |  |  |

Free an axiom_soap_fault_value

Parameters:

  | fault_value | pointer to soap_fault_value struct
  | env | Environment. MUST NOT be NULL

Returns:
  VOID

AXIS2_EXTERN axiom_node_t* axiom_soap_fault_value_get_base_node | ( | axiom_soap_fault_value_t * | fault_value,
|  | const axutil_env_t * | env |
| ) |  |  |

Set the text value of the soapenv:Value element directly under soapenv:Code element

Parameters:

  | fault_value | pointer to axiom_soap_fault_t
  | env | Environment. MUST NOT BE NULL
  | text | value to be set

Returns:
  the base node

AXIS2_EXTERN axis2_char_t* axiom_soap_fault_value_get_text | ( | axiom_soap_fault_value_t * | fault_value,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the text value of the soapenv:Value element directly under soapenv:Code element

Parameters:

  | fault_value | pointer to axiom_soap_fault_t
  | env | Environment. MUST NOT BE NULL

Returns:
  text value

AXIS2_EXTERN axis2_status_t axiom_soap_fault_value_set_text | ( | axiom_soap_fault_value_t * | fault_value,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | text |
| ) |  |  |

set the text value of soap_fault_value element

Parameters:

  | fault_value | pointer to soap fault value struct
  | env | environment MUST not be NULL
  | text | Text value to be set

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE